summaryrefslogtreecommitdiff
path: root/tests/split/lines
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-05-27 00:54:53 +0200
committerJim Meyering <meyering@redhat.com>2011-05-28 13:52:17 +0200
commit963d809ae9d2ff4bc4844d2ebaf64a74deb1ae7e (patch)
treecbbbe6a2de00a4ce0dcfcaa4609d99fb64f5103b /tests/split/lines
parent54a49f22ae158470142f92e00af69fbb3b774699 (diff)
downloadcoreutils-963d809ae9d2ff4bc4844d2ebaf64a74deb1ae7e.tar.xz
tests: move tests/misc/split-* into tests/split/...
* tests/split/suffix-length: Rename from tests/misc/split-a. * tests/split/b-chunk: Rename from misc/split-bchunk. * tests/split/fail: Rename from tests/misc/split-fail. * tests/split/lines: Rename from tests/misc/split-l. * tests/split/l-chunk: Rename from tests/misc/split-lchunk. * tests/split/r-chunk: Rename from tests/misc/split-rchunk. * tests/Makefile.am (TESTS): Reflect renaming.
Diffstat (limited to 'tests/split/lines')
-rwxr-xr-xtests/split/lines42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests/split/lines b/tests/split/lines
new file mode 100755
index 000000000..932c178e5
--- /dev/null
+++ b/tests/split/lines
@@ -0,0 +1,42 @@
+#!/bin/sh
+# show that `split --lines=2' works.
+
+# Copyright (C) 2002, 2006-2011 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ split
+
+printf '1\n2\n3\n4\n5\n' > in || framework_failure
+
+split --lines=2 in > out || fail=1
+cat <<\EOF > exp-1
+1
+2
+EOF
+cat <<\EOF > exp-2
+3
+4
+EOF
+cat <<\EOF > exp-3
+5
+EOF
+
+compare xaa exp-1 || fail=1
+compare xab exp-2 || fail=1
+compare xac exp-3 || fail=1
+test -f xad && fail=1
+
+Exit $fail